package com.usky.sas.common.enums;

public enum SystemTypeCodeEnum {
    snap(1001, "实时智能分析"),
    video(1002, "视频安防监控"),
    usb(1003, "视频导出防护"),
    gauth(1004, "组合认证控制"),
    entrance(1005, "出入门禁控制"),
    parking(1006, "车牌抓拍分析"),
    alarm(1007, "入侵紧急报警"),
    patrol(1008, "实时电子巡检"),
    perception(1009, "状态感知探测"),
    acquisition(1010, "数据采集探测"),
    collection(1011, "状态采集探测"),
    roadblock(1012, "阻车路障探测");

    private final int code;
    private final String message;

    private SystemTypeCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }
}
